/**<pre>
 * Title: Think And Link
 * Copyright: Copyright (c) 2002
 * Company:   University of Oregon Computer Science Dept.
 *
 * @author Jason Prideaux
 * @version 1.0
 * </pre>
 */

package app.util;


/* ====================================================================== */
/** This simple helper class is used to test if a given argument exits from
 *  a command line input, and what the value is for a given argument.
 *
 */
public class CommandLine {


   	/* ===================================================================== */
	/** This method merely tests to see if an argument was given in a command
	 *  line input.
	 *
	 *  @param  args    The command line that contains input arguments.
	 *  @param  arg    The argument we are testing to see if exists.
	 *
	 *  @return  boolean   True if the argument is in the given command line.
	 *
	 */
	public static boolean isArg(String[] args, char arg){
		boolean temp = false;

		for (int i=0;i<args.length;i++) {
			if (args[i].charAt(1) == arg) {
				temp = true;
			}
		}

		return temp;

	} //method isArg




   	/* ===================================================================== */
	/** This method is used to get the value of an argument from the command
	 *  line.
	 *
	 *  @param  args    The command line that contains input arguments.
	 *  @param  arg    The argument that we want the value of.
	 *  @param  def    The default value to return if the argument doesn't exist.
	 *
	 *  @return  String   The value of the given argument.
	 *
	 */
    public static String getArg(String[] args, String arg, String def){

		String temp = def;

		for (int i=0;i<args.length;i++) {
			if (args[i].charAt(0) == '-') {

				if ( arg.equalsIgnoreCase( "" +
					args[i].charAt(1) ) ) {

				     temp = new String(args[i+1]);
				}

			}
		} //for


		return temp;

	} //method: getArg



} //class: CommandLine